summaryrefslogtreecommitdiffstats
path: root/redhat/buildenv.sh
diff options
context:
space:
mode:
authorFrançois Andriot <albator78@libertysurf.fr>2014-07-20 13:25:02 +0200
committerFrançois Andriot <albator78@libertysurf.fr>2014-07-20 13:25:02 +0200
commit253fbb2488360f7e35d43f33259984505ff41df7 (patch)
treed4f8850761206558fdf2d20c3bcbf18c023408e6 /redhat/buildenv.sh
parentc6eec582c412347deeb9681922c1c204c49d74b0 (diff)
downloadtde-packaging-253fbb2488360f7e35d43f33259984505ff41df7.tar.gz
tde-packaging-253fbb2488360f7e35d43f33259984505ff41df7.zip
RPM Packaging: update build scripts
Diffstat (limited to 'redhat/buildenv.sh')
-rw-r--r--redhat/buildenv.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/redhat/buildenv.sh b/redhat/buildenv.sh
index 4107440cc..3ed7825e0 100644
--- a/redhat/buildenv.sh
+++ b/redhat/buildenv.sh
@@ -54,6 +54,27 @@ checknew() {
done
}
+
+do_optimizegraphics() {
+ if ! (which optipng && which advdef && which pngout) ; then
+ echo "Missing utility ! Check that 'optipng', 'advdef' and 'pngout' utilities are available !"
+ return 1
+ fi
+
+ while read m; do
+ if [ -d "${m}" ]; then
+ pushd "${m}"
+ if [ -r .optimizegraphics ]; then
+ echo "Graphics are already optimized !"
+ else
+ optimizegraphics
+ touch .optimizegraphics
+ fi
+ popd
+ fi
+ done < submodules
+}
+
alias rr='rpm -qa --qf "%{name} %{buildhost}\n" | grep "\.vtf" | awk "{print \$1}"'
# Update main repository